function [] = runPreviewWheelAna(A, P, slow)
    % slow = 1 eller 2, 1 er normal
    
    belgBunnHoyde = 6;
    stagLng = 2.6318;
    hjulStagLng = 0.5898;
    axScale = 0.5897; % Skalerer alt
    
    
    [F, V] = fvBelgOgHjulPreview(belgBunnHoyde, stagLng, hjulStagLng, axScale, cntLin, cntAng)
    
    return;
    
    wavClick44100 = A.wavClick44100;
    clickDBtimeMs = A.clickDBtimeMs;
    cntArr525 = A.cntArr525;
    startClickNr = P.startClickNr;
    endClickNr = P.endClickNr;
    
    load 'grafikk/pBelgSmall.mat'; % Fbe, Vbe
    load 'grafikk/pStag_small.mat'; % Fst, Vst
    load 'grafikk/pHjul_small.mat'; % Fhj, Vhj
    
    fsW = 44100;
    startSampW = floor(fsW*clickDBtimeMs(startClickNr) / 1000);
    endSampW = floor(fsW*clickDBtimeMs(endClickNr) / 1000);
    startSampW = max(1, startSampW);
    endSampW = min(size(wavClick44100, 1), endSampW);
    
    
    
    fsC = 525;
    startSamp = floor(fsC*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fsC*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(wavClick44100, 1), endSamp);
    
    framePerSec = fsC/30;
    sampDiffTime = framePerSec/fsC;
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);
    
    figure(2);
    clf;
    
    
    % Agent - belg, org høyde 1
    axIn = -0.75;
    Fbe0 = Fbe;
    Vbe0 = Vbe; % .* [0.6 0.6 1];
    [Fbe, Vbe] = agent3vid(axScale*axIn, Fbe0, Vbe0); % 0.6*ax
    belgToppHoyde = 1 + axScale*0 + belgBunnHoyde; % fra agent3vid
    Vbe = Vbe + [0 0 belgBunnHoyde];
    ha1 = plotPoly(Fbe, Vbe, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Stag Z=0 er i nedre ax
    Vst0 = 3*Vst;
    Vst = Vst0 + [0 0 belgToppHoyde];
    stagToppAxHoyde = belgToppHoyde + 2.6318;
    hs1 = plotPoly(Fst, Vst, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    % Hjul -0.5898
    hjulCentHoyde = stagToppAxHoyde;
    Vhj0 = Vhj .* 2.5; % Øker bredden
    Vhj1 = Vhj0 + [0 1 hjulCentHoyde];
    hs3 = plotPoly(Fhj, Vhj1, 'edgeOff', 'backCol', 0.2*[0.1 0.1 0.1]);
    
    
    sound(wavClick44100(startSampW:endSampW), fsW/slow);
    for s = startSamp : framePerSec/slow : endSamp
        del = 0;
        cl_old = cl;
        while del < sampDiffTime
            cl = clock;
            cl = cl(4)*60*60 + cl(5)*60 + cl(6);
            del = cl - cl_old;
        end
        
        % Agent cntr
        axIn = cntArr525(floor(s), 1);
        
        % Belg
        [~, Vbe] = agent3vid(axScale*axIn, Fbe0, Vbe0); % 0.5*ax
        belgToppHoyde = 1 + axScale*axIn + belgBunnHoyde; % fra agent3vid
        Vbe = Vbe + [0 0 belgBunnHoyde];
        set(ha1, 'Vertices', Vbe);
        
        % Stag
        ang = cntArr525(floor(s), 4);
        R = roty(ang);
        Vst = (R*Vst0')' + [0 0 belgToppHoyde];
        set(hs1, 'Vertices', Vst);
        
        % Hjul
        ang = -cntArr525(floor(s), 3);
        R = roty(ang);
        Vhj1 = (R*Vhj0')' + [0 1 hjulCentHoyde];
        set(hs3, 'Vertices', Vhj1);
        
        
        %axis([-2.4154    1.1003   -0.3337    1.4241    0.3658    2.1236]);
        view(0, 0);
        drawnow;
    end
    %close(2);
    
    figure(1);
    
    
end

%%
function [F, V] = fvBelgOgHjulPreview(belgBunnHoyde, stagLng, hjulStagLng, axScale, cntLin, cntAng)
    % cntLin: -1 1
    % cntAng: 360 grader
    % axScale: skalerer xyz
    
    persistent Vbe0; % BelgZ: 0 1
    persistent Fbe0;
    
    persistent Vst0;
    persistent Fst0;
    
    persistent Vhj0;
    persistent Fhj0;
    
    if isempty(Vbe0)
        load 'grafikk/pBelgSmall.mat'; % Fbe, Vbe
        Vbe0 = Vbe;
        Fbe0 = Fbe;
        Vbe = Vbe0 .* [axScale, axScale, axScale + axScale*cntLin + belgBunnHoyde];
        belgToppHoyde = axScale + axScale*cntLin + belgBunnHoyde; % fra agent3vid
        
        load 'grafikk/pStag_small.mat'; % Fst, Vst
        Vst0 = 3*Vst;
        Fst0 = Fst;
        Vst = Vst0 + [0 0 belgToppHoyde];
        stagToppAxHoyde = belgToppHoyde + 2.6318;
        
        load 'grafikk/pHjul_small.mat'; % Fhj, Vhj
    end
    
    Vbe = Vbe0 .* [axScale, axScale, axScale + axScale*cntLin + belgBunnHoyde];
    belgToppHoyde = axScale + axScale*cntLin + belgBunnHoyde; % fra agent3vid
    
    F = Fbe0;
    V = Vbe0;
    
end



































